Package org.globus.ftp.dc

# Class GridFTPDataChannelFactory

java.lang.Object
org.globus.ftp.dc.GridFTPDataChannelFactory

All Implemented Interfaces:
  `DataChannelFactory`

public class GridFTPDataChannelFactory extends Object implements DataChannelFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPDataChannelFactory()`

## Method Summary

Modifier and Type
Method
Description
`DataChannel`
`getDataChannel(Session session, SocketBox socketBox)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

## Constructor Details

### GridFTPDataChannelFactory

public GridFTPDataChannelFactory()

## Method Details

### getDataChannel

public DataChannel getDataChannel(Session session, SocketBox socketBox)

Specified by:
  `getDataChannel` in interface `DataChannelFactory`